%define py_geoip_pkg python-module-GeoIP

Name: nicotine
Version: 1.0.8
Release: alt2

Summary: The client program for the SoulSeek filesharing system
Summary(ru_RU.KOI8-R):     SoulSeek
Group: Networking/File transfer
License: GPL
Url: http://nicotine.thegraveyard.org

Packager: Dmitry Vukolov <dav@altlinux.ru>

Source: %url/%name-%version.tar.bz2
Source1: %name.ru.po.bz2
Source10: %name.16.png
Source11: %name.32.png
Source12: %name.48.png

Patch1: %name-1.0.7-alt-desktop-entry.patch
Patch2: %name-1.0.7-deb-servers.patch
Patch3: %name-1.0.7-deb-fileselect.patch
Patch4: %name-1.0.7-alt-po-compile.patch

BuildArch: noarch

Requires: python-module-pygtk >= 1.99.16
Requires: python-module-pyvorbis

BuildPreReq: python-devel = 2.4
BuildPreReq: menu-devel

# Automatically added by buildreq on Mon Jul 19 2004
#BuildRequires: python-base python-dev python-module-pyogg python-module-pyvorbis python-modules-encodings
BuildPreReq: python-base python-dev python-modules-encodings

%description
Nicotine is a feature-complete client for the SoulSeek filesharing network that
is used primarily to share music.

Nicotine supports everything a SoulSeek client is supposed to do, such as
downloading, uploading, searching, chatting, keeping a "buddy" list and has
lots of other features like finding similar users and getting listening
recommendations based on user's preferences.

Nicotine also supports a country code blocker using the GeoIP library.
To enable this functionality install the %py_geoip_pkg package.

Nicotine is a successor to the PySoulSeek project.

%description -l ru_RU.KOI8-R
Nicotine --       SoulSeek,
,  ,   .

Nicotine       SoulSeek , 
    , , ,   "",  
 , , ,     
      .

 , Nicotine     ̣ ,
  GeoIP.     
   %py_geoip_pkg.

Nicotine    PySoulSeek.

%define python_libdir %_libdir/python%__python_version
%define python_site_packages_dir %python_libdir/site-packages

%prep
%setup -q

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%__mkdir_p languages/ru
bzcat %SOURCE1 > languages/ru/%name.po

find -type f -iname "*.py" -print0 |
        xargs -r0 %__subst 's!gtk.FALSE!False!g; s!gtk.TRUE!True!g'

%__python setup.py build

%install
%__python setup.py install --root=%buildroot --optimize=2

%__install -pD -m644 files/%name.desktop %buildroot/%_datadir/applications/%name.desktop
%__mkdir_p %buildroot%_menudir
%Md2m %name "Networking/File transfer" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

%__install -D -m644 %SOURCE10 %buildroot%_iconsdir/hicolor/16x16/apps/%name.png
%__install -D -m644 %SOURCE11 %buildroot%_iconsdir/hicolor/32x32/apps/%name.png
%__install -D -m644 %SOURCE12 %buildroot%_iconsdir/hicolor/48x48/apps/%name.png

%find_lang --output=FILES_LIST --append %name

%post
%update_menus

%postun
%clean_menus

%files -f FILES_LIST
%_bindir/*
%python_site_packages_dir/pynicotine
%_menudir/*
%_datadir/applications/*
%_iconsdir/hicolor/16x16/apps/*
%_iconsdir/hicolor/32x32/apps/*
%_iconsdir/hicolor/48x48/apps/*
%doc CHANGELOG COPYING INSTALL KNOWN_BUGS MAINTAINERS README README.import-winconfig TODO TRANSLATORS

%changelog
* Fri Mar 25 2005 Dmitry Vukolov <dav@altlinux.ru> 1.0.8-alt2
- rebuilt with python 2.4

* Wed Mar 02 2005 Dmitry Vukolov <dav@altlinux.ru> 1.0.8-alt1
- new version

* Mon Jul 19 2004 Dmitry Vukolov <dav@altlinux.ru> 1.0.7-alt3
- repackaged according to the new python policy
- altered description

* Mon May 10 2004 Dmitry Vukolov <dav@altlinux.ru> 1.0.7-alt2
- added Russian translation
- use %%find_lang to mark language files

* Sat May 01 2004 Dmitry Vukolov <dav@altlinux.ru> 1.0.7-alt1
- initial release for ALT Linux Sisyphus
- patched to use the standard GTK+ directory selection dialog (Debian)

